Urwid development version

Console user interface library for Python

git clone https://github.com/wardi/urwid.git

Wiki:

Requirements

  • Python 2.6, 2.7, 3.2+ or PyPy
  • Linux, OSX, Cygwin or other unix-like OS
  • python-gi for GlibEventLoop (optional)
  • Twisted for TwistedEventLoop (optional)
  • Tornado for TornadoEventLoop (optional)
  • asyncio or trollius for AsyncioEventLoop (optional)
  • Apache for web_display module (optional)
  • ncurses for curses_display module (optional)

Similar projects

 

Documentation

Examples

Tutorial

Manual

Reference

Index